package com.muyu.kvt.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;

import com.muyu.kvt.domain.Kvt;
import com.muyu.kvt.domain.req.KvtQueryReq;

import com.muyu.kvt.remote.factory.DataManagerFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * RemoteUser
 *
 * @author LeYang
 * on 2024/4/27
 */
@FeignClient(
        contextId = "RemoteDataManagerService",
        value = ServiceNameConstants.MUYU_KVT,
        fallbackFactory = DataManagerFactory.class,
        path = "/kvt"
)
public interface RemoteDataManagerService {

    @GetMapping("/list")
    public Result<TableDataInfo<Kvt>> list(KvtQueryReq kvtQueryReq) ;

}
