package com.muyu.kvt.remote.factory;


import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.kvt.domain.Kvt;
import com.muyu.kvt.domain.req.KvtQueryReq;
import com.muyu.kvt.remote.RemoteDataManagerService;

import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 用户服务降级处理
 *
 * @author muyu
 */
@Component
public class DataManagerFactory implements FallbackFactory<RemoteDataManagerService> {

    @Override
    public RemoteDataManagerService create(Throwable cause) {
        return new RemoteDataManagerService() {
            @Override
            public Result<TableDataInfo<Kvt>> list(KvtQueryReq kvtQueryReq) {
                    return Result.error("获取数据失败");
            }
        };
    }
}
