package com.muyu.engine.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.engine.domain.rule_engine_version.RuleEngineVersion;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 前台传的 RuleEngines
 *
 * @author LeYang
 * on 2024/5/4
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class RuleEngines {


    /** $column.columnComment */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String name;

    /** 规则类型 */
    @Excel(name = "规则类型")
    private String type;

    /** 规则编码 */
    @Excel(name = "规则编码")
    private String code;

    /** 规则级别 */
    @Excel(name = "规则级别")
    private String level;

    /** 是否激活 */
    @Excel(name = "是否激活")
    private String isActivate;

    /** 规则状态 */
    @Excel(name = "规则状态")
    private String status;

    /** 编写文件名称 */
    @Excel(name = "编写文件名称")
    private String writeCode;

    /** 引擎编码 */
    @Excel(name = "引擎编码")
    private String engineCode;

    private String sql;



}
