package com.muyu.engine.domain.req;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 规则引擎对象 rule_engine
 *
 * @author muyu
 * @date 2024-05-01
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RuleEngineQueryReq", description = "规则引擎")
public class RuleEngineQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 规则名称 */
    @ApiModelProperty(name = "规则名称", value = "规则名称")
    private String name;

    /** 规则类型 */
    @ApiModelProperty(name = "规则类型", value = "规则类型")
    private String type;

    /** 规则编码 */
    @ApiModelProperty(name = "规则编码", value = "规则编码")
    private String code;

    /** 规则级别 */
    @ApiModelProperty(name = "规则级别", value = "规则级别")
    private String level;

    /** 是否激活 */
    @ApiModelProperty(name = "是否激活", value = "是否激活")
    private String isActivate;

    /** 规则状态 */
    @ApiModelProperty(name = "规则状态", value = "规则状态")
    private String status;

    /** 编写文件名称 */
    @Excel(name = "编写文件名称")
    @ApiModelProperty(name = "编写文件名称", value = "编写文件名称")
    private String writeCode;
    /** 引擎编码 */
    @Excel(name = "引擎编码")
    @ApiModelProperty(name = "引擎编码", value = "引擎编码")
    private String engineCode;

}
