package com.muyu.engine.domain.rule_engine_version;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 引擎维护版本 RuleEngine
 *
 * @author LeYang
 * on 2024/5/6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class RuleEngineList {
    /** $column.columnComment */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "id", value = "id")
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    @ApiModelProperty(name = "规则名称", value = "规则名称")
    private String name;

    /** 规则类型 */
    @Excel(name = "规则类型")
    @ApiModelProperty(name = "规则类型", value = "规则类型")
    private String type;

    /** 规则编码 */
    @Excel(name = "规则编码")
    @ApiModelProperty(name = "规则编码", value = "规则编码")
    private String code;

    /** 规则级别 */
    @Excel(name = "规则级别")
    @ApiModelProperty(name = "规则级别", value = "规则级别")
    private String level;

    /** 是否激活 */
    @Excel(name = "是否激活")
    @ApiModelProperty(name = "是否激活", value = "是否激活")
    private String isActivate;

    /** 规则状态 */
    @Excel(name = "规则状态")
    @ApiModelProperty(name = "规则状态", value = "规则状态")
    private String status;

    /** 编写文件名称 */
    @Excel(name = "编写文件名称")
    @ApiModelProperty(name = "编写文件名称", value = "编写文件名称")
    private String writeCode;

    /** 引擎编码 */
    @Excel(name = "引擎编码")
    @ApiModelProperty(name = "引擎编码", value = "引擎编码")
    private String engineCode;
    /*
        是否测试
         */
    @Excel(name = "是否测试")
    @ApiModelProperty(name = "是否测试", value = "是否测试")
    private String isTest;

    // 关联 版本
    private List<RuleEngineVersion> ruleEngineVersionList;
























}
