package com.muyu.engine.domain.rule_engine_version;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.engine.domain.RuleEngine;
import com.muyu.engine.domain.req.RuleEngineQueryReq;
import com.muyu.engine.domain.rule_engine_version.req.RuleEngineVersionQueryReq;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * 规则引擎版本 RuleEngineVersion
 *
 * @author LeYang
 * on 2024/5/6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
public class RuleEngineVersion  extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /*
     主键
      */
     @TableId(value = "id",type = IdType.AUTO)
     @ApiModelProperty(name = "id", value = "id")
     private Integer id;
     /*
     规则id
      */
     @Excel(name = "规则id")
    @ApiModelProperty(name = "规则id", value = "规则id")
    private Integer ruleEngineId;
     /*
     版本类
      */
     @Excel(name = "版本类")
    @ApiModelProperty(name = "版本类", value = "版本类")
    private String versionCode;
     /*
     版本名称
      */
     @Excel(name = "版本名称")
    @ApiModelProperty(name = "版本名称", value = "版本名称")
    private String name;
     /*
     版本CODE
      */
     @Excel(name = "版本CODE")
    @ApiModelProperty(name = "版本CODE", value = "版本CODE")
    private String code;
     /*
     是否激活
      */
     @Excel(name = "是否激活")
    @ApiModelProperty(name = "是否激活", value = "是否激活")
    private String isActivate;
     /*
     版本状态
      */
     @Excel(name = "版本状态")
    @ApiModelProperty(name = "版本状态", value = "版本状态")
    private String status;
     /*
     版本说明
      */
     @Excel(name = "版本说明")
    @ApiModelProperty(name = "版本说明", value = "版本说明")
    private String description;
     /*
     文件名称
      */
     @Excel(name = "文件名称")
    @ApiModelProperty(name = "文件名称", value = "文件名称")
    private String writeCode;
 /*
     编码
      */
     @Excel(name = "编码")
    @ApiModelProperty(name = "编码", value = "编码")
    private String codeIng;
 /*
     是否测试
      */
     @Excel(name = "是否测试")
    @ApiModelProperty(name = "是否测试", value = "是否测试")
    private String isTest;


    /**
     * 查询构造器
     */
    public static RuleEngineVersion queryBuild(RuleEngineVersionQueryReq ruleEngineVersionQueryReq){
        return RuleEngineVersion.builder()
                .ruleEngineId(ruleEngineVersionQueryReq.getRuleEngineId())
                .versionCode(ruleEngineVersionQueryReq.getVersionCode())
                .name(ruleEngineVersionQueryReq.getName())
                .code(ruleEngineVersionQueryReq.getCode())
                .isActivate(ruleEngineVersionQueryReq.getIsActivate())
                .status(ruleEngineVersionQueryReq.getStatus())
                .description(ruleEngineVersionQueryReq.getDescription())
                .codeIng(ruleEngineVersionQueryReq.getCodeIng())
                .writeCode(ruleEngineVersionQueryReq.getWriteCode())
                .isTest(ruleEngineVersionQueryReq.getIsTest())
                .build();

    }

}
