package com.muyu.engine.scope;

import com.muyu.engine.Engine;
import com.muyu.model.DataModel;
import com.muyu.scope.DataModelContext;
import com.muyu.scope.model.DataProcessModel;

/**
 * 数据模型引擎接口 DataModelEngine
 *
 * @author LeYang
 * on 2024/5/8
 */
public abstract class DataModelEngine implements Engine<DataProcessModel> {
      private DataModelContext dataModelContext;

      @Override
    public DataProcessModel get(){
          return dataModelContext.get();
      }

      public DataModel getModel(){
          return get().getDataModel();
      }

      public String getKey(){
          return getModel().getKey();
      }

      public Object getValue(){
          return getModel().getValue();
      }
      public String getSourceType(){
          return getModel().getSourceType();
      }

      public String getProcessType(){
          return getModel().getProcessType();
      }
      public Class<?> getProcessClass(){
          return getModel().getProcessClass();
      }

}
