package com.muyu.engine.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.engine.domain.RuleEngine;
import com.muyu.engine.domain.rule_engine_version.RuleEngineList;
import com.muyu.engine.domain.rule_engine_version.RuleEngineVersion;
import com.muyu.engine.domain.rule_engine_version.req.RuleEngineVersionQueryReq;
import com.muyu.engine.service.RuleEngineVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 规则引擎版本控制层 RuleEngineVersionController
 *
 * @author LeYang
 * on 2024/5/6
 */
@RestController
@RequestMapping("/engine")
public class RuleEngineVersionController  extends BaseController {
    @Autowired
    private RuleEngineVersionService ruleEngineVersionService;

    /**
     * 获取规则引擎版本列表
     * @param ruleEngineVersionQueryReq
     * @return
     */
    @GetMapping("/RuleEngineVersionList")
    public Result<List<RuleEngineVersion>> RuleEngineVersionList(RuleEngineVersionQueryReq ruleEngineVersionQueryReq) {
        startPage();
         List<RuleEngineVersion> ruleEngineVersionList= ruleEngineVersionService.list( RuleEngineVersion.queryBuild(ruleEngineVersionQueryReq));
        return Result.success(ruleEngineVersionList);
    }

    //查询规则引擎版本详情
    @PostMapping("/selectRuleEngineVersion")
    public Result<RuleEngineList> listResult(@RequestParam Integer id){
      RuleEngineList   ruleEngineList = ruleEngineVersionService.listResult(id);
        return Result.success(ruleEngineList);
    }


    //添加规则引擎版本
    @PostMapping("/RuleEngineVersionAdd")
    public Result  RuleEngineVersionAdd(@RequestBody RuleEngineVersion ruleEngineVersion){
        ruleEngineVersionService.RuleEngineVersionAdd(ruleEngineVersion);
        return  Result.success("添加成功");
    }

    //规则引擎中版本的状态修改
    @PostMapping("/updataEngineVersionStatus")
    public Result updataEngineVersionStatus(@RequestBody RuleEngineVersion ruleEngineVersion){
        ruleEngineVersionService.updataEngineVersionStatus(ruleEngineVersion);
        return Result.success("编码保存成功");
    }
}
