package com.muyu.kvt.unit;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 数据启动类 DataUnitApplication
 *
 * @author LeYang
 * on 2024/5/8
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@EnableAsync
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class})
public class DataUnitApplication {
    public static void main(String[] args) {
        SpringApplication.run(DataUnitApplication.class, args);
    }
}
